Subject: bug#22146: Stack overflow in reftex-parse-all

From: Nils Kanning <[email-masked]>
Date: Sat, 12 Dec 2015 10:13:13 +0100

Hi Mosé and Tassilo,

thanks a lot for your quick replies! With that workaround I can
continue editing :-)

Nils

On Sat, 2015-12-12 at 08:54 +0100, Tassilo Horn wrote:
> Mosè Giordano <[email-masked]> writes:
> 
> Hi Nils & Mosé,
> 
> > > In case you are wondering, the non-matching brackets [\} appear
> > > for
> > > example in physics as so-called "super Lie brackets".
> > 
> > Thanks for taking the time to report this bug, I can reproduce it.
> 
> I can reproduce it with Emacs 24.5 but not with Emacs 25.0.50.16 from
> the current emacs-25 branch.  So maybe it has been fixed after the
> last
> release (either the regex, or the Emacs regex matcher has become
> better).
> 
> If anyone of you could try with Emacs 25 and report back, that'd be
> great.
> 
> > There is a simple workaround you can put in your code: close the
> > brackets, also in a comment is fine:
> > 
> >     [\} % ]
> > 
> > But I don't know how to really fix the bug, it's too late for me to
> > decrypt that regexp now.  Having a clue of what it should *exactly*
> > match would be of great help.
> 
> Obviously, it should match everything that's interesting to reftex.
> :-)
> 
> But seriously, have a look at the bottom of `reftex-compile-
> variables'
> where `reftex-everything-regexp' is composed from several other
> regexes
> with more local scopes, e.g., one for matching labels, one for
> sections,
> one for index entries, etc.
> 
> Bye,
> Tassilo